Subject: bug#2497: 23.0.91; Fails to read UTF-8 on Win2k

From: Stefan Monnier <[email-masked]>
Date: Mon, 02 Mar 2009 10:25:45 -0500

>> That seems to be the source of the problem.  utf-8 should always come
>> before latin-1 in that list, since utf-8 streams that are valid latin-1
>> streams are not uncommon, whereas latin-1 streams that are valid utf-8
>> streams are extremely rare.
> I think that is the only solution.

Not only it's the only solution, but it's a solution on which we agreed
already several years ago.  So, again, the bug is in the ordering, and
we have to figure out which code ends up putting latin-1 before utf-8 in
the coding system priority.

        Stefan